Using a digital camera

The UltraPort(TM) camera, available as an option, is shipped with a USB interface that offers a simple installation process, the dynamic "Plug & Play" function. If you are using Windows(R) 95, Windows 98, Windows 2000, or Windows XP, the camera is configured automatically when you connect it to your ThinkPad(R) computer.

You can connect the camera to your ThinkPad computer in either of two ways:

  • Attaching the camera to the UltraPort connector

    Your ThinkPad computer has an UltraPort connector at the top of the computer display. By attaching the UltraPort adapter to this connector, you can attach the camera directly to the ThinkPad computer.

    Note: Do not open the computer display by pulling on the camera. To do so might damage the connector.

Illustration: Attaching the camera to the UltraPort connector.

  • Connecting the camera through the USB port

    Your ThinkPad computer has a USB port. You can connect the camera to this port with a USB cable and a USB cable attachment.

Illustration: Connecting the camera through the USB port.

For more information on attaching and detaching a digital camera, refer to Attaching or detaching the camera.

To capture and edit an image, you need to install the following application software:

  • TWAIN

  • Odyssey Multimedia Gallery

For instructions on installing and using this software, refer to the user's reference shipped with it.


Attaching or detaching the camera

Attaching the camera:

  • UltraPort(TM) connector

  • USB connector

Detaching the camera:

  • UltraPort connector

  • USB connector

To attach the camera to the UltraPort connector, do the following:

  1. Remove the connector cover from the top of the computer display on the ThinkPad(R) computer.
    2. Insert the nail of your index finger, a small flathead screwdriver, or a similar tool into the small slot at one side of the connector cover.

    Illustration: To remove the connector cover, insert the nail or a small screwdriver into the slot.

    Lift the end of the connector cover, and pull it with your thumb and index finger.

    Illustration: Lift the cover and pull it with your fingers.

  1. Screw the adapter to the computer display with a screwdriver.

    2. Illustration: Screw the adapter with a screwdriver.

  2. Release the latch of the camera (1), and remove the cover of the UltraPort connector (2).

    3. Illustration: Release the latch and remove the connector cover.

  3. Align the connector of the camera with the UltraPort connector, and then snap the camera into place.

    4. Illustration: Snap the camera into the connector.

    Note: Push the top of the camera to make sure that the latch snaps into place.

To connect the camera through the USB port, do the following:

  1. Connect the USB cable to the computer and the USB cable attachment.

    2. Illustration: Connect the cable to the computer and the cable attachment.

  2. Open the cover of the USB cable attachment (1), and connect the camera to it (2).

    3. Illustration: Open the cover of the cable attachment and connect the camera.

To disconnect the camera from your computer, do the following:

Note: After disconnecting the camera from the computer, always put the connector cover on the camera to protect the connector.

If the camera is attached to the UltraPort connector, do the following to disconnect it:

  1. Release the latch of the camera (1), and then remove it from the UltraPort connector (2).

    2. Illustration: Release the latch and remove the camera from the connector.

  2. Close the adapter to cover the UltraPort connector.

    3. Illustration: Close the adapter to cover the connector.

  3. Put the connector cover on the camera.

    4. Illustration: Put the connector cover on the camera.

If you connect the camera through the USB port, do the following to disconnect it:

  1. Disconnect the USB cable from the computer and the USB cable attachment.

    2. Illustration: Disconnect the cable from the computer and the cable attachment.

  2. Release the latch of the camera (1), and then remove it from the USB cable attachment (2).

    3. Illustration: Release the latch and remove the camera from the cable attachment.

  3. Put the connector cover on the camera.

    4. Illustration: Put the connector cover on the camera.


Using the Ultrabay devices

Your ThinkPad(R) computer has two bays for Ultrabay(TM) devices, the Ultrabay 2000 at the left side and the Ultrabay Plus at the right side. Each of these bays can be used for installing a device, such as a CD drive, a DVD drive, or a hard disk drive. If no device is installed in your computer, or if you want to purchase a different Ultrabay device, visit this Web site: http://www.ibm.com/thinkpad for further information.

Installing the Ultrabay device

Performing a warm swap

Inserting the HDD into the bay

Using the Ultrabay Plus device


Installing the Ultrabay device

Note: The second battery can be supported only in the Ultrabay 2000.

To install an Ultrabay device, do as follows:

Note: Though the animation or drawings shown with the installation procedure are for the Ultrabay Plus, you can use the same procedure for the Ultrabay 2000.

If you want to print this topic or cannot see the animation below, click here.

You might be able to perform a warm swap with this device, in which case you do not have to turn off the computer. For more details, refer to "Performing a warm swap."

    Before you start, turn off the computer; then disconnect the ac adapter and all cables from the computer.
  1. Slide the Bay-latch to pop out the handle.
  2. Pull the handle until it stops; then pull out the Ultrabay device.
  3. Insert the replaceable device into the bay; then press the device firmly into the connector.
    4. Return the handle to its place by pressing it in.

Note: After you replace the device, be sure to press the handle to make sure that it is housed in its position. If the handle is improperly housed, it might be vulnerable to damage.


Performing a warm swap

To do a warm swap is to remove, connect, or reconnect a device while the computer is in standby mode.

Notes:

  • Windows(R) 2000 and Windows XP support warm swap in both the Ultrabay(TM) 2000 and the Ultrabay Plus on all devices.

  • Windows 95 OSR2, and Windows 98 support warm swap in the Ultrabay Plus on all devices except the hard disk drive. In the Ultrabay 2000, these operating systems do not support warm swap.

  • Windows NT does not support warm swap.

To check whether warm swap is enabled, do as follows:

  1. Start the ThinkPad(R) Configuration Program.
  1. Click Device Bay .
  2. Make sure that the display shows Enable. If it does not, select Enable from the dropdown menu, and restart your system to make the change effective.

To warm-swap the Ultrabay device, do as follows:

  1. Slide the bay-latch to pop out the handle.
    2. Illustration: Slide the latch to pop out the handle.
    Attention: When the handle pops out, do not go to the next step until you have made sure that the bay status indicator (1) is off, the power status indicator (2) is off, and the standby indicator (3) shows green.
    Illustration: Check the three indicators before going to the next step.
  1. Pull the handle until it stops; then pull out the Ultrabay device.
    2. Illustration: Pull the handle and pull out the device.
  1. Insert the replaceable device into the bay; then press the device firmly into the connector. If you are installing a hard disk drive, attach the adapter to the drive before you insert it into the bay.
    2. Illustration: Insert the replaceable device into the connector and press it into place.
  1. Return the handle to its place by pressing it in.
    2. Note: Be sure that the handle is housed in its position by pressing it in after you replace the device. If the handle is improperly housed, it might become damaged.
    Illustration: Press the handle to make sure that it is properly housed in its position.
  1. Press Fn key to return from standby mode.


Inserting the HDD into the bay

The IBM(R) ThinkPad(R) 2nd Hard Disk Drive Adapter for Ultrabay(TM) 2000 (HDD adapter), which is available as an option, enables you to upgrade the capacity of your computer by installing a secondary hard disk drive.

To install the hard disk drive in your computer, you first insert the drive into the HDD adapter, and then insert the HDD adapter into the bay.

Attention: Replace a hard disk drive only if you are upgrading it or having it repaired. Frequent replacement of the hard disk drive might damage the drive and the bay.

Inserting the hard disk drive into the HDD adapter

  1. Open the hard disk drive stopper.
    2. Illustration: Open the drive stopper.
  1. Insert the hard disk drive with the label facing upward as shown:
    2. Illustration: Insert the drive with the label facing upward.
    Note: Be sure not to leave the strap under the hard disk drive.
  1. Connect the hard disk drive to the hard disk drive connecter.
    2. Illustration: Connect the drive to the drive connector.
  1. Close the hard disk drive stopper.
    2. Illustration: Close the drive stopper.

Notes:

  1. Make sure that the hard disk drive is inserted tightly into the HDD adapter.

  2. Do not push the cover too hard; you could damage the hard disk drive or the HDD adapter.

Inserting the HDD adapter into the bay

After you insert a hard disk drive into an HDD adapter, you can insert the adapter into the bay of your ThinkPad computer, provided that the computer is in one of the following conditions:

  • The computer is turned off. For how to insert the adapter, refer to "Installing the Ultrabay device."

  • The computer is in standby mode. If you are using Windows(R) XP or Windows 2000, you can insert the adapter while the computer is in standby mode. For how to insert the adapter, refer to "Performing a warm swap."

    Note: If the hard disk is protected by a password, the hard disk password icon appears at the upper left of the screen when the system returns from standby mode. By typing the password, you can get access to the hard disk drive.

When you insert the HDD adapter into the bay, be sure to insert it firmly. By installing a hex-head screw into the screw hole at the bottom of the computer, you can prevent the hard disk drive from being removed easily.

Illustration showing the screw holes at the bottom of the computer.


Using the Ultrabay Plus device

An Ultrabay(TM) Plus device can be installed in the Ultrabay Plus bay at the right side of your computer.

The Ultrabay Plus devices are I/O option interfaces: the ThinkPad(R) Ultrabay Plus Device Carrier, the ThinkPad Ultrabay Plus Numeric Keypad, and the ThinkPad Ultrabay Plus Cradle for the WorkPad c500 Series. The Carrier is connected to the Ultrabay Plus bay, and one of the other devices is connected to the Carrier.

Note: The Ultrabay Plus devices are not supported on Windows(R) 95 and Windows NT(R).

For more information about the Ultrabay Plus devices, refer to the ThinkPad Web site. For access to this Web site, press the ThinkPad button to open the Access ThinkPad panel. On this panel, click On the Web. A list of sites appears; choose the ones you want.

To use an Ultrabay Plus device, do as follows:

  1. Install the Carrier into the Ultrabay Plus bay.
    2. Note: You can install or remove the Carrier while the computer is in standby mode. For the procedure, refer to " Performing a warm swap ."
  2. To attach one of the optional devices, draw the Carrier tray from the bay and follow the instructions in the user's guide for the IBM ThinkPad Ultrabay Plus Device Carrier.
  3. Attach the Numeric keypad or the WorkPad cradle. Follow the instructions in the user's guide for the devices.


Installing the Ultrabay device (printable version)

To print this topic, click the Print button.

You might be able to perform a warm swap with this device, in which case you do not have to turn off the computer. For more details, refer to " Performing a warm swap ."

Note: Though the drawings shown with the installation procedure are for the Ultrabay(TM) Plus, you can use the same procedure for the Ultrabay 2000.

  1. Turn off the computer; then disconnect the ac adapter and all cables from the computer.
  1. Slide the Bay-latch to pop out the handle.

Illustration: Slide the latch to pop out the handle.

  1. Pull the handle until it stops (1); then pull out the Ultrabay device (2) .

Illustration: Pull the handle, and pull out the device.

  1. Insert the replaceable device into the bay; then press the device firmly into the connector.

Illustration: Insert the replaceable device, and press it into the connector.

  1. Return the handle to its place by pressing it in.

Note: After you replace the device, be sure to press the handle to make sure that it is housed in its position. If the handle is improperly housed, it might be vulnerable to damage.

Illustration: Press the handle to make sure that it is properly housed in its position.